Files
List files
Get all files/assets for your workspaces. Supports filtering by workspace, folder, file type, favorites, and search.
GET
/
files
List files
curl --request GET \
--url https://app.mavera.io/api/v1/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Query Parameters
Filter by workspace ID
Filter by folder ID
Filter by MIME type prefix (e.g., 'image', 'video', 'application/pdf')
Filter to only show favorited files
Search files by name (case-insensitive)
Maximum number of results (default 50, max 100)
Required range:
1 <= x <= 100Cursor for pagination (file ID from previous response)
⌘I
List files
curl --request GET \
--url https://app.mavera.io/api/v1/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}